Web lists-archives.com

Re: Please do not drop Python 2 modules




On Tue, Apr 24, 2018 at 12:29:54AM +0200, Thomas Goirand wrote:
> On 04/21/2018 11:19 PM, Scott Kitterman wrote:
> > Since we are supporting Python2 in the next release, there is no value> in dumping python-* packages now. Unlike many areas of the archive,
> > Python packages are actively used by third-party code that isn't and
> > won't be in Debian.
> 
> There's always value to start de-crufting legacy stuff early. That being
> said, I hear your message: this is breaking 3rd party code, and we need
> to keep this in mind.
> 
> > I'm generally in favor of getting rid of old stuff, but python2 isn't
> > there yet.
> 
> Right. But I do believe we need to be very careful to not send a wrong
> message to our users. Debian deprecating Python 2 is good. A strong,
> bold deprecation message is needed, even if we want to continue
> supporting Python 2 for a bit more.

At what stage should Python IDEs uploaded to NEW disable or not
install Python 2 support?  Now?

Should Python 2-specific IDEs and/or Python 2-specific educational
materials be removed from the archive?  If so, then when?

Andreas, I've CCed you because we've been in touch in the past, and
because I have friends who do graduate work in bioinformatics on
Debian systems.  With the upcoming end of Python 2 in Debian, what can
we do to avoid losing them to CentOS?  Also, if appropriate and if it
wouldn't be too much work, does Debian have a role in encouraging
new masters and PhD candidates to choose Python 3?

Sincerely,
Nicholas

Attachment: signature.asc
Description: PGP signature